<div class="ui grid" id="login-form">
    <div class="four wide computer five wide tablet two wide mobile column"></div>
    <div class="four wide computer six wide tablet twelve wide mobile column form--login">
        <img src="../../../../assets/icons/account-avatar-icon.png" alt="login avatar" class="form--login-icon">
        <form (ngSubmit)="onSubmit()" class="ui large form" [formGroup]="loginForm" [ngClass]="{ 'error': loginForm.invalid && loginForm.touched }">
            <div class="field" [ngClass]="{ 'error': loginForm.controls['username'].invalid && loginForm.controls['username'].touched }">
                <div class="ui left icon input success">
                    <i class="mobile alternate icon"></i>
                    <input dir="ltr" name="username" type="text" id="username" placeholder="Mobile" formControlName="username">
                </div>
                <!--username validation errors-->
                <div class="ui error message" *ngIf="loginForm.controls['username'].invalid && loginForm.controls['username'].touched">
                    <ul class="list">
                        <li *ngIf="loginForm.controls['username'].errors['required']">
                            نمی‌تواند خالی باشد
                        </li>
                        <li *ngIf="loginForm.controls['username'].errors['length']">
                            تعداد ارقام غیر مجاز
                        </li>
                        <li *ngIf="loginForm.controls['username'].errors['invalid']">
                            شماره موبایل نامعتبر
                        </li>
                    </ul>
                </div>
            </div>
            <div class="field">
                <div class="ui left icon input">
                    <i class="lock icon"></i>
                    <input dir="ltr" name="password" type="password" id="password" placeholder="Password" formControlName="password">
                </div>
                <!--password validation errors-->
                <div class="ui error message" *ngIf="loginForm.controls['password'].invalid && loginForm.controls['password'].touched">
                    <ul class="list">
                        <li *ngIf="loginForm.controls['password'].errors['required']">نمی‌تواند خالی باشد</li>
                    </ul>
                </div>
            </div>
            <div class="ui right aligned container">
                <button class="green ui button centered farsi" tabindex="0" [disabled]="loginForm.pristine || loginForm.invalid || !submitButtonEnabled">ورود</button>
            </div>
        </form>
    </div>
</div>
